Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.query
Class ProjectStateSelectors

    java.lang.Object
      com.ibm.workplace.wcm.api.query.ProjectStateSelectors

All Implemented Interfaces:
  QueryElement, Selector, java.io.Serializable

    public abstract class ProjectStateSelectors

extends java.lang.Object
implements Selector

`ProjectStateSelector` is a helper class to create project state related `Selector`.

Since:
  7.0
See Also:
  Serialized Form

Nested Class Summary
`protected static interface` | `ProjectStateSelectors.Factory`
`static class` | `ProjectStateSelectors.State` Project state

Field Summary

Fields inherited from interface com.ibm.workplace.wcm.api.query.Selector
`NULL_SELECTOR`

Constructor Summary
`ProjectStateSelectors()`

Method Summary
`static Selector` | `stateEquals(ProjectStateSelectors.State state)` Returns a selector representing project state 'equals'
`static Selector` | `stateIn(java.util.Collection<ProjectStateSelectors.State> states)` Returns a selector representing project state 'in'
`static Selector` | `stateIn(ProjectStateSelectors.State... states)` Returns a selector representing project state 'in'

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.workplace.wcm.api.query.QueryElement
`getElements, hasElements`

Constructor Detail

### ProjectStateSelectors

    public ProjectStateSelectors()

Method Detail

### stateEquals

    public static Selector stateEquals(ProjectStateSelectors.State state)

  Returns a selector representing project state 'equals'

  Parameters:
    `state` - project state
  Returns:
    Project state 'equals' selector

### stateIn

    public static Selector stateIn(java.util.Collection<ProjectStateSelectors.State> states)

  Returns a selector representing project state 'in'

  Parameters:
    `states` - a set of project states
  Returns:
    project state 'in' selector

### stateIn

    public static Selector stateIn(ProjectStateSelectors.State... states)

  Returns a selector representing project state 'in'

  Parameters:
    `states` - a set of project states
  Returns:
    project state 'in' selector

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD